import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { ICoalescingModerator } from "./ICoalescingModerator";
import { OthersCategoryContext } from "./OthersCategoryContext";
import { IList$1, Type } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { OthersCategoryType } from "igniteui-angular-core";
import { FastItemsSourceEventArgs } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
/**
 * @hidden
 */
export declare class ProportionalCategoryAngleAxis extends CategoryAngleAxis implements ICoalescingModerator {
    static $t: Type;
    private rk;
    protected get_rl(): OthersCategoryContext;
    get rl(): OthersCategoryContext;
    protected r3: any;
    protected r2(): any;
    r5(a: boolean): any;
    rs(a: any): boolean;
    private r6;
    get sd(): string;
    set sd(a: string);
    hd(a: any, b: string): any;
    private r4;
    get normalizationMayContainUnknowns(): boolean;
    private rn;
    private get rp();
    private set rp(value);
    r0: number;
    rm: OthersCategoryType;
    r7: string;
    ro(a: string): IFastItemColumn$1<number>;
    protected kf(a: any, b: string, c: any, d: any): void;
    protected pt(a: FastItemsSourceEventArgs): void;
    private rr;
    private rx;
    getScaledAngle(a: number): number;
    protected get_dj(): boolean;
    qs(a: number, b: number, c: Rect, d: Rect, e: Rect): number;
    ry(a: number, b: Rect, c: Rect, d: Rect): number;
    qt(a: number, b: Rect, c: Rect, d: Rect): number;
    private rv;
    private ru;
    private rt;
    private rq;
    protected o8(): number;
    protected qj(a: number): boolean;
    protected q6(): string;
    protected qk(a: number): boolean;
    protected k4(a: boolean): void;
    ensureSum(): void;
    private sf;
    private rw;
    private r1;
    get othersValue(): number;
    get othersIndex(): number;
    get hasOthersCategory(): boolean;
    j6(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    getUnscaledAngle(a: number): number;
    isOthersValue(a: number): boolean;
    ih(a: number): string;
    sb(): string;
    getNormalizingValueAtIndex(a: number, b: number): number;
    rz(a: number): number;
    get isVertical(): boolean;
    j$d(a: number, b: ScalerParams): number;
    j$c(a: number, b: ScalerParams): number;
    j$e(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$g(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$b(): boolean;
    j$a(): number[];
    get itemsCount(): number;
    static $$p: string[];
}
